#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.27.1
visibility:           public
id:                   hledger-lib-1.27.1-EbU7a5o958lLLQRRdWSh3P
key:                  hledger-lib-1.27.1-EbU7a5o958lLLQRRdWSh3P
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    A reusable library providing the core functionality of hledger

description:
    A reusable library containing hledger'\''s core functionality.
    This is used by most hledger* packages so that they support the same
    common file formats, command line options, reports etc.

    hledger is a robust, cross-platform set of tools for tracking money,
    time, or any other commodity, using double-entry accounting and a
    simple, editable file format, with command-line, terminal and web
    interfaces. It is a Haskell rewrite of Ledger, and one of the leading
    implementations of Plain Text Accounting. Read more at:
    <https://hledger.org>

category:             Finance
abi:                  ca9fb6462293707370cdeea3458ff1d8
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Balancing Hledger.Data.Dates
    Hledger.Data.Errors Hledger.Data.Journal Hledger.Data.JournalChecks
    Hledger.Data.JournalChecks.Ordereddates
    Hledger.Data.JournalChecks.Uniqueleafnames Hledger.Data.Json
    Hledger.Data.Ledger Hledger.Data.Period
    Hledger.Data.PeriodicTransaction Hledger.Data.Posting
    Hledger.Data.RawOptions Hledger.Data.StringFormat
    Hledger.Data.Timeclock Hledger.Data.Transaction
    Hledger.Data.TransactionModifier Hledger.Data.Types
    Hledger.Data.Valuation Hledger.Query Hledger.Read
    Hledger.Read.Common Hledger.Read.CsvReader
    Hledger.Read.InputOptions Hledger.Read.JournalReader
    Hledger.Read.TimeclockReader Hledger.Read.TimedotReader
    Hledger.Reports Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Utils Hledger.Utils.Debug
    Hledger.Utils.Parse Hledger.Utils.Regex Hledger.Utils.String
    Hledger.Utils.Test Hledger.Utils.Text Text.Tabular.AsciiWide

hidden-modules:
    Text.Megaparsec.Custom Text.WideString Paths_hledger_lib

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hledger-lib-1.27.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hledger-lib-1.27.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hledger-lib
hs-libraries:         HShledger-lib-1.27.1-EbU7a5o958lLLQRRdWSh3P
depends:
    Decimal-0.5.2-9rvMzhuO1FBACRiyQ82ok2
    Glob-0.10.2-6PephKcEtIVGBteILJOd7d
    aeson-2.1.1.0-G096tWOvHRbG9p2kqAnbSl
    aeson-pretty-0.8.9-Lk8VklJN2XADu0K5Qlw31N
    ansi-terminal-0.11.4-4SgCWaXZr2qIqjtLzwrNoa array-0.5.4.0
    base-4.15.1.0 blaze-markup-0.8.2.8-JruQK54RtwW7JHmlsayxpl
    breakpoint-0.1.2.0-5Hgy4nTWYMi2yVJAvDWKHQ bytestring-0.10.12.1
    call-stack-0.4.0-AWZIvDgVjrSE2X5Lpd2ZLj
    cassava-0.5.3.0-I6ErAzbQR3MEyi7YhUHcIv
    cassava-megaparsec-2.0.4-21XeRJjphamB1BCMbmBgUj
    cmdargs-0.10.21-5dEStss8OK87s5amCxsPTV containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW deepseq-1.4.5.0
    directory-1.3.6.2 doclayout-0.4-bIxi4r4uyQHQZeWOBp7KX
    extra-1.7.12-KMMam5dihF88hEFtHKrXtJ
    file-embed-0.0.15.0-FF5xUPWKaB3GI64c6hgPnn filepath-1.4.2.1
    hashtables-1.3.1-1XK8giT5StoFP4qmzIRzMr
    megaparsec-9.3.0-Ki7nM1MFfgP9vscioo188N
    microlens-0.4.13.1-AoR6D5midYZB5ErWoiySs4
    microlens-th-0.4.3.11-pyNjIyQyTX7VmrvlrI0JT mtl-2.2.2
    parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB
    pretty-simple-4.1.2.0-JGFvTFYDH5o2xxsp97yXpS
    regex-tdfa-1.3.2-1o3yrdvak9EGgU5W8G1Kdi
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    tabular-0.2.2.8-3mznlUNrnmF8EH6LDY9YkX
    tasty-1.4.3-HaWWxdcWofMHTq0KPVqHEm
    tasty-hunit-0.10.0.3-AXhORFrTZoMHqzx8scTl2s
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    timeit-2.0-13BYXbUXu2MJzbvDZuPEww transformers-0.5.6.2
    uglymemo-0.1.0.1-K7bsHpbExS57pk9A4akql7
    unordered-containers-0.2.19.1-5gVbJUjVHi23RWuJCnXA3W
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

